import request from '@/utils/request'

// 获取IVR配置列表数据
export function getIVRConfigureList(params) {
  return request({
    url: 'callcenterapi/api/SysIVRConfig/getlistbypage',
    method: 'get',
    params
  })
}

// 获取IVR配置数据
export function getIVRConfigure(id) {
  return request({
    url: 'callcenterapi/api/SysIVRConfig/getsingle',
    method: 'get',
    params: {
      id
    }
  })
}

// 添加IVR配置数据
export function addIVRConfigure(data) {
  return request({
    url: 'callcenterapi/api/SysIVRConfig/add',
    method: 'post',
    data
  })
}

// 编辑IVR配置数据
export function editIVRConfigure(data) {
  return request({
    url: 'callcenterapi/api/SysIVRConfig/update',
    method: 'post',
    data
  })
}

// 删除IVR配置数据
export function deleteIVRConfigure(ids) {
  return request({
    url: 'callcenterapi/api/SysIVRConfig/delete',
    method: 'post',
    data: {
      ids
    }

  })
}
// ivr启用
export function ivrOn(data) {
  return request({
    url: 'callcenterapi/api/SysIVRConfig/enable',
    method: 'post',
    data

  })
}
// ivr禁用
export function ivrOff(data) {
  return request({
    url: 'callcenterapi/api/SysIVRConfig/enable',
    method: 'post',
    data
  })
}
